Page MenuHomePhabricator

node.getAttribute is not a function
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.12.13/parsoid?id=AWepg9LjxYA-x_UctD66&_g=h@44136fa

enwiki User_talk:Netha_Hussain/Archive_4 872287243

TypeError: node.getAttribute is not a function
    at Function.addTypeOf (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/utils/DOMDataUtils.js:148:21)
    at unpackDOMFragments (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/wt2html/pp/handlers/unpackDOMFragments.js:192:16)
    at DOMTraverser.callHandlers (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/utils/DOMTraverser.js:64:32)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/utils/DOMTraverser.js:129:27)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/utils/DOMTraverser.js:140:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/utils/DOMTraverser.js:140:10)
    at Object.DOMPostProcessor.addPP [as proc] (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/wt2html/DOMPostProcessor.js:184:38)
    at DOMPostProcessor.<anonymous> (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/src/lib/wt2html/DOMPostProcessor.js:674:17)
    at next (native)
    at tryCatchNext (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:783:28)
    at continuer (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:800:24)
    at callback (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:812:43)
    at /srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:814:9
    at tryCatch2 (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/babybird/lib/promise.js:48:12)
    at PrFunPromise.Promise (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/babybird/lib/promise.js:458:15)
    at new PrFunPromise (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:100:21)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy-cache/revs/e27574c16d7be1b37e7222b9f1aba2388fa5ebb2/node_modules/prfun/lib/index.js:797:21)

Event Timeline

Arlolra created this task.Dec 13 2018, 11:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2018, 11:17 PM

Change 479577 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Account for span wrapping when fragment is first transclusion node

https://gerrit.wikimedia.org/r/479577

Change 479577 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Account for span wrapping when fragment is first transclusion node

https://gerrit.wikimedia.org/r/479577

Arlolra closed this task as Resolved.Dec 14 2018, 9:26 PM